package com.kxs.product.biz.constant.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 机具状态
 *
 * @author Lxq
 * @date 2023-10-25
 */
@Getter
@AllArgsConstructor
public enum TicketTypeEnum {

    /**
     * 券类型
     */
    CODE_DQ(0, "电签兑换券"),
    CODE_DJ(1, "大机兑换券"),
    CODE_UNUSED(0, "未使用"),
    CODE_USED(1, "已使用"),
    CODE_FREEZE(2, "已申请冻结");


    //状态码
    private final Integer type;
    //状态码码描述
    private final String description;
}
